import { EventEmitter, OnInit } from '@angular/core';
import { TransactionConnectorService } from '../../../service/transaction-connector.service';
import { DictionaryService } from '../../../service/dictionary.service';
import { RelationBaseComponent } from '../relation-base.component';
import { Address } from '@colijnit/relationapi/build/model/address.bo';
import { Country } from '@colijnit/transactionapi/build/model/country.bo';
import { RelationAddressCfgNames } from '../../../interface/relation-address-cfg-names.interface';
import { TransactionRelationService } from '../../../service/transaction-relation.service';
import { TransactionService } from '../../../service/transaction.service';
import { CoDomainValue } from '@colijnit/mainapi/build/model/co-domain-value.bo';
import { AddressType } from '@colijnit/relationapi/build/enum/address-type.enum';
import { TransactionCfgName } from '../../../enum/transaction-cfg-name.enum';
import { TransactionScreenConfigurationService } from "../../../service/transaction-screen-configuration.service";
export declare class RelationAddressComponent extends RelationBaseComponent implements OnInit {
    private _dictionary;
    private _connector;
    protected relationService: TransactionRelationService;
    transactionService: TransactionService;
    protected screenConfigService: TransactionScreenConfigurationService;
    readonly cfgNames: typeof TransactionCfgName;
    configNames: RelationAddressCfgNames;
    set address(value: Address);
    get address(): Address;
    label: string;
    addressChange: EventEmitter<Address>;
    showClass(): boolean;
    countries: Country[];
    addressTypes: CoDomainValue[];
    fields: Object;
    countryModel: Country;
    postalCodeCheckErrorMessage: string;
    private _prevPostalCodeForCheck;
    private _prevHouseNoForCheck;
    private _address;
    wrongAddress: boolean;
    constructor(_dictionary: DictionaryService, _connector: TransactionConnectorService, relationService: TransactionRelationService, transactionService: TransactionService, screenConfigService: TransactionScreenConfigurationService);
    ngOnInit(): Promise<void>;
    checkForPostalCodeCheckError(): Promise<void>;
    changeHouseNo(houseNo: number): void;
    handleCountryChange(country: Country): void;
    handlePostalCodeChange(postCode: string): void;
    handleStreetChange(streetName: string): void;
    handleCityChange(city: string): void;
    handleAddressTypeChange(addressType: CoDomainValue): void;
    handleHouseAdditionChange(houseAddition: string): void;
    addressTypeForCode(addressType: AddressType): CoDomainValue;
    private _setSelectedAddress;
}
